#!/usr/bin/env python
"""
Copyright © Huawei Technologies Co., Ltd. 2010-2019. All rights reserved.
description     :   list taf dsm msg
modify  record  :   2019-05-12 create file
"""

taf_dsm_msg_enum_table = {
0x0001 : "ID_MSG_TAF_PS_SET_PDP_CONTEXT_STATE_REQ",
0x0002 : "ID_MSG_TAF_PS_CALL_MODIFY_REQ",
0x0003 : "ID_MSG_TAF_PS_CALL_ANSWER_REQ",
0x0004 : "ID_MSG_TAF_PS_CALL_HANGUP_REQ",
0x0051 : "ID_MSG_TAF_PS_CALL_ORIG_REQ",
0x0052 : "ID_MSG_TAF_PS_CALL_END_REQ",
0x0053 : "ID_MSG_TAF_PS_PPP_DIAL_ORIG_REQ",
0x0056 : "ID_MSG_TAF_PS_EPDG_CTRL_NTF",
0x0401 : "ID_MSG_TAF_IFACE_UP_REQ",
0x0402 : "ID_MSG_TAF_IFACE_DOWN_REQ",
0x0B01 : "ID_DSM_APS_PS_CALL_ACTIVATE_REQ",
0x0B02 : "ID_DSM_APS_PS_CALL_MODIFY_REQ",
0x0B03 : "ID_DSM_APS_PS_CALL_DEACTIVATE_REQ",
0x0B04 : "ID_DSM_APS_PS_CALL_INFO_UPDATE_NTF",
0x0B05 : "ID_DSM_APS_PS_CALL_ANSWER_REQ",
0x0B06 : "ID_DSM_APS_PS_CALL_HANGUP_REQ",
0x0C01 : "ID_APS_DSM_PS_CALL_ACTIVATE_IND",
0x0C02 : "ID_APS_DSM_PS_CALL_ACTIVATE_CNF",
0x0C03 : "ID_APS_DSM_PS_CALL_MODIFY_CNF",
0x0C04 : "ID_APS_DSM_PS_CALL_MODIFY_IND",
0x0C05 : "ID_APS_DSM_PS_CALL_DEACTIVATE_CNF",
0x0C06 : "ID_APS_DSM_PS_CALL_DEACTIVATE_IND",
0x0C07 : "ID_APS_DSM_PS_CALL_INCOMING_IND",
0x0C08 : "ID_APS_DSM_PS_CALL_INFO_UPDATE_IND",
0x0C09 : "ID_APS_DSM_PS_CALL_ANSWER_CNF",
0x0C0A : "ID_APS_DSM_PS_CALL_HANGUP_CNF",
0x0C0C : "ID_APS_DSM_PS_CALL_REEST_IND",
0x0C0E : "ID_APS_DSM_MODE_CHANGE_IND",
0x0C0F : "ID_APS_DSM_PS_REG_STATUS_IND",
}

def get_taf_dsm_msg_str( MsgId):
    for MsgIdIndex in taf_dsm_msg_enum_table.keys():
        if MsgIdIndex == MsgId:
            return taf_dsm_msg_enum_table[MsgIdIndex]

    return "none"